PlatformValue (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.appdef.shared.PlatformValue class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.appdef.shared
Class PlatformValue

    java.lang.Object
      org.hyperic.hq.appdef.shared.AppdefResourceValue
          org.hyperic.hq.appdef.shared.PlatformValue

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable

    public class PlatformValue

extends AppdefResourceValue
implements java.io.Serializable

Value object for Platform.

See Also:
  Serialized Form

Field Summary
`protected java.util.Collection` | `addedIpValues`
`protected java.util.Collection` | `removedIpValues`
`protected java.util.Collection` | `updatedIpValues`

Constructor Summary
`PlatformValue()`
`PlatformValue(PlatformValue otherValue)`
`PlatformValue(java.lang.String sortName, java.lang.String commentText, java.lang.String modifiedBy, java.lang.String owner, java.lang.Integer configResponseId, java.lang.String certdn, java.lang.String fqdn, java.lang.String name, java.lang.String location, java.lang.String description, java.lang.Integer cpuCount, java.lang.Integer id, java.lang.Long mTime, java.lang.Long cTime)`

Method Summary
`void` | `addIpValue(IpValue added)`
`boolean` | `certdnHasBeenSet()`
`void` | `cleanIpValue()`
`boolean` | `commentTextHasBeenSet()`
`boolean` | `configResponseIdHasBeenSet()`
`void` | `copyIpValuesFrom(PlatformValue from)`
`boolean` | `cpuCountHasBeenSet()`
`boolean` | `cTimeHasBeenSet()`
`boolean` | `descriptionHasBeenSet()`
`boolean` | `equals(java.lang.Object other)`
`boolean` | `fqdnHasBeenSet()`
`java.util.Collection` | `getAddedIpValues()`
`Agent` | `getAgent()`
`java.lang.String` | `getCertdn()`
`java.lang.String` | `getCommentText()`
`java.lang.Integer` | `getConfigResponseId()`
`java.lang.Integer` | `getCpuCount()`
`java.lang.Long` | `getCTime()`
`java.lang.String` | `getDescription()`
`AppdefEntityID` | `getEntityId()` get an entity ID for the object
`java.lang.String` | `getFqdn()`
`java.lang.Integer` | `getId()`
`IpValue[]` | `getIpValues()`
`java.lang.String` | `getLocation()`
`java.lang.String` | `getModifiedBy()`
`java.lang.Long` | `getMTime()`
`java.lang.String` | `getName()`
`java.lang.String` | `getOwner()`
`PlatformTypeValue` | `getPlatformType()`
`java.util.Collection` | `getRemovedIpValues()`
`java.lang.String` | `getSortName()`
`java.util.Collection` | `getUpdatedIpValues()`
`int` | `hashCode()`
`protected boolean` | `hasIdentity()` A Value object have an identity if its attributes making its Primary Key has all been set.
`boolean` | `idHasBeenSet()`
`boolean` | `isIdentical(java.lang.Object other)`
`boolean` | `locationHasBeenSet()`
`boolean` | `modifiedByHasBeenSet()`
`boolean` | `mTimeHasBeenSet()`
`boolean` | `nameHasBeenSet()`
`boolean` | `ownerHasBeenSet()`
`void` | `removeAllIpValues()`
`void` | `removeIpValue(IpValue removed)`
`void` | `setAgent(Agent Agent)`
`void` | `setCertdn(java.lang.String certdn)`
`void` | `setCommentText(java.lang.String commentText)`
`void` | `setConfigResponseId(java.lang.Integer configResponseId)`
`void` | `setCpuCount(java.lang.Integer cpuCount)`
`void` | `setCTime(java.lang.Long cTime)`
`void` | `setDescription(java.lang.String description)`
`void` | `setFqdn(java.lang.String fqdn)`
`void` | `setId(java.lang.Integer id)`
`void` | `setLocation(java.lang.String location)`
`void` | `setModifiedBy(java.lang.String modifiedBy)`
`void` | `setMTime(java.lang.Long mTime)`
`void` | `setName(java.lang.String name)`
`void` | `setOwner(java.lang.String owner)`
`void` | `setPlatformType(PlatformTypeValue PlatformType)`
`void` | `setSortName(java.lang.String sortName)`
`boolean` | `sortNameHasBeenSet()`
`java.lang.String` | `toString()`
`void` | `updateIpValue(IpValue updated)`

Methods inherited from class org.hyperic.hq.appdef.shared.AppdefResourceValue
`compareTo, getAppdefResourceTypeValue, getHostName, getPlatformTypeCountMap, getResourceTypeCountMap, getServerTypeCountMap, getServiceTypeCountMap, setHostName`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### addedIpValues

    protected java.util.Collection addedIpValues

### removedIpValues

    protected java.util.Collection removedIpValues

### updatedIpValues

    protected java.util.Collection updatedIpValues

Constructor Detail

### PlatformValue

    public PlatformValue()

### PlatformValue

    public PlatformValue(java.lang.String sortName,
                         java.lang.String commentText,
                         java.lang.String modifiedBy,
                         java.lang.String owner,
                         java.lang.Integer configResponseId,
                         java.lang.String certdn,
                         java.lang.String fqdn,
                         java.lang.String name,
                         java.lang.String location,
                         java.lang.String description,
                         java.lang.Integer cpuCount,
                         java.lang.Integer id,
                         java.lang.Long mTime,
                         java.lang.Long cTime)

### PlatformValue

    public PlatformValue(PlatformValue otherValue)

Method Detail

### getSortName

    public java.lang.String getSortName()

### setSortName

    public void setSortName(java.lang.String sortName)

### sortNameHasBeenSet

    public boolean sortNameHasBeenSet()

### getCommentText

    public java.lang.String getCommentText()

### setCommentText

    public void setCommentText(java.lang.String commentText)

### commentTextHasBeenSet

    public boolean commentTextHasBeenSet()

### getModifiedBy

    public java.lang.String getModifiedBy()

  Specified by:
    `getModifiedBy` in class `AppdefResourceValue`

### setModifiedBy

    public void setModifiedBy(java.lang.String modifiedBy)

  Specified by:
    `setModifiedBy` in class `AppdefResourceValue`

### modifiedByHasBeenSet

    public boolean modifiedByHasBeenSet()

### getOwner

    public java.lang.String getOwner()

  Specified by:
    `getOwner` in class `AppdefResourceValue`

### setOwner

    public void setOwner(java.lang.String owner)

  Specified by:
    `setOwner` in class `AppdefResourceValue`

### ownerHasBeenSet

    public boolean ownerHasBeenSet()

### getConfigResponseId

    public java.lang.Integer getConfigResponseId()

### setConfigResponseId

    public void setConfigResponseId(java.lang.Integer configResponseId)

### configResponseIdHasBeenSet

    public boolean configResponseIdHasBeenSet()

### getCertdn

    public java.lang.String getCertdn()

### setCertdn

    public void setCertdn(java.lang.String certdn)

### certdnHasBeenSet

    public boolean certdnHasBeenSet()

### getFqdn

    public java.lang.String getFqdn()

### setFqdn

    public void setFqdn(java.lang.String fqdn)

### fqdnHasBeenSet

    public boolean fqdnHasBeenSet()

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in class `AppdefResourceValue`

### setName

    public void setName(java.lang.String name)

  Specified by:
    `setName` in class `AppdefResourceValue`

### nameHasBeenSet

    public boolean nameHasBeenSet()

### getLocation

    public java.lang.String getLocation()

  Specified by:
    `getLocation` in class `AppdefResourceValue`

### setLocation

    public void setLocation(java.lang.String location)

  Specified by:
    `setLocation` in class `AppdefResourceValue`

### locationHasBeenSet

    public boolean locationHasBeenSet()

### getDescription

    public java.lang.String getDescription()

  Specified by:
    `getDescription` in class `AppdefResourceValue`

### setDescription

    public void setDescription(java.lang.String description)

  Specified by:
    `setDescription` in class `AppdefResourceValue`

### descriptionHasBeenSet

    public boolean descriptionHasBeenSet()

### getCpuCount

    public java.lang.Integer getCpuCount()

### setCpuCount

    public void setCpuCount(java.lang.Integer cpuCount)

### cpuCountHasBeenSet

    public boolean cpuCountHasBeenSet()

### getId

    public java.lang.Integer getId()

  Specified by:
    `getId` in class `AppdefResourceValue`

### setId

    public void setId(java.lang.Integer id)

  Specified by:
    `setId` in class `AppdefResourceValue`

### idHasBeenSet

    public boolean idHasBeenSet()

### getMTime

    public java.lang.Long getMTime()

  Specified by:
    `getMTime` in class `AppdefResourceValue`

### setMTime

    public void setMTime(java.lang.Long mTime)

### mTimeHasBeenSet

    public boolean mTimeHasBeenSet()

### getCTime

    public java.lang.Long getCTime()

  Specified by:
    `getCTime` in class `AppdefResourceValue`

### setCTime

    public void setCTime(java.lang.Long cTime)

### cTimeHasBeenSet

    public boolean cTimeHasBeenSet()

### getAddedIpValues

    public java.util.Collection getAddedIpValues()

### getRemovedIpValues

    public java.util.Collection getRemovedIpValues()

### getUpdatedIpValues

    public java.util.Collection getUpdatedIpValues()

### getIpValues

    public IpValue[] getIpValues()

### addIpValue

    public void addIpValue(IpValue added)

### removeIpValue

    public void removeIpValue(IpValue removed)

### removeAllIpValues

    public void removeAllIpValues()

### updateIpValue

    public void updateIpValue(IpValue updated)

### cleanIpValue

    public void cleanIpValue()

### copyIpValuesFrom

    public void copyIpValuesFrom(PlatformValue from)

### getPlatformType

    public PlatformTypeValue getPlatformType()

### setPlatformType

    public void setPlatformType(PlatformTypeValue PlatformType)

### getAgent

    public Agent getAgent()

### setAgent

    public void setAgent(Agent Agent)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### hasIdentity

    protected boolean hasIdentity()

  A Value object have an identity if its attributes making its Primary Key has all been set. One object without identity is never equal to any other object.

  Returns:
    true if this instance have an identity.

### equals

    public boolean equals(java.lang.Object other)

  Overrides:
    `equals` in class `java.lang.Object`

### isIdentical

    public boolean isIdentical(java.lang.Object other)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### getEntityId

    public AppdefEntityID getEntityId()

  Description copied from class: `AppdefResourceValue`
  get an entity ID for the object

  Specified by:
    `getEntityId` in class `AppdefResourceValue`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.